2006-02-11  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* data/ui/colorscheme.ui: added "Export Favorites" menu item
	* src/dialogs/gcs-save-chooser.cc:
	* src/dialogs/gcs-save-chooser.h: Added a new class for choosing where to
	save an exported favorites palette
	* src/dialogs/Makefile.am: added new files to Makefile
	* src/gcs-mainwindow-actions.h:
	* src/gcs-mainwindow-actions.cc: Added function for handling new Export
	menu action.  At this point it just opens a save dialog in the current
	folder and asks for a filename.
	* src/widgets/gcs-bookmarklist.h: made save_to_disk() public so that it
	can be used by the export menu action

2006-02-11  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* .gitignore: updated gitignore files

2006-02-11  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h: make it so that it now saves the list of
	favorite colors to disk when it is re-ordered (e.g. with a drag and drop
	operation).

2006-02-10  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/widgets/gcs-colorswatch.cc:
	* src/widgets/gcs-colorswatch.h: renamed drag handler (removed the
	reference to button that was carried over from the example I based it on)

2006-02-10  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* autogen.sh: made executable after git import screwed it up

2006-02-06  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow-actions.cc:
	* src/gcs-mainwindow.h: use the GTK+ GtkClipboard::owner-change signal to
	determine when to enable / disable the clipboard item in the menu.  This
	signal is not yet wrapped in gtkmm.  Added a C callback function for this
	purpose.

2006-02-05  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.cc: split out the code for getting a Gdk::Color from
	a dropped item of type 'application/x-color' so that it can be used in
	other places.
	* src/gcs-util.h: moved the common code here in get_dropped_color()
	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h: added some functionality for dropping an
	application/x-color onto the bookmark list to add it to the favorites
	list.  Unfortunately, this breaks the re-ordering of the treeview, so it's
	disabled for now.

2006-02-05  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.cc: Quick fix for bug #5203 which didn't enable the
	'remove' button in the bookmark list when doing Ctrl+A or when
	de-selecting all items in the list.

2006-02-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/widgets/gcs-bookmarklist.cc: fixed a bug that was causing the
	settings directory to not get created the first time the application was
	run.  Regression introduced when removing gnome-vfs dependency.

2006-02-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/widgets/gcs-paletteview.cc:
	* src/widgets/gcs-paletteview.h: change the X cursor when we move the
	mouse into the PaletteView widget so that it's more obvious that the
	colors there are selectable.  The cursor should change to a hand upon
	entering the palette and return to normal upon exiting

2006-02-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.h: the beginning of drag-n-drop support
	* src/gcs-mainwindow.cc: add support for dropping an 'application/x-color'
	item into the main window to set the current color
	* src/widgets/gcs-cellrendererswatch.cc: removed a debugging statement
	* src/widgets/gcs-colorswatch.h:
	* src/widgets/gcs-colorswatch.cc: added drag support for Colorswatches.
	They currently support the targets 'application/x-color', 'UTF8_STRING',
	and 'text/plain'.  Also changed the selected signal activation from
	button-release to button-press.
	* src/widgets/gcs-textswatch.cc: changed the selected signal from
	button-release to double-click

2006-02-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow-actions.cc:
	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h: split the action-related stuff off to a new file
	(gcs-mainwindow-actions.cc) to reduce the size of the mainwindow file
	* src/Makefile.am: added gcs-mainwindow-actions.cc

2006-02-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.cc: switched auto_ptr to boost::shared_ptr

2006-02-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/widgets/gcs-bookmarklist.cc: made the bookmark list into a
	multiple-selection treeview.  This isn't very useful for selecting colors
	(if you select multiple colors, only the first selection causes the
	current color to change), but it is useful for removing multiple colors
	from the list at once.  Now get_color() will return a NULL pointer if not
	exactly one row is selected.
	* src/gcs-mainwindow.cc: updated some signal handlers to check for a NULL
	pointer returned from BookmarkList::get_color() before attempting to use
	it.

2006-01-31  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/core/gcs-color.h: add new default constructor
	* src/core/gcs-color.cc: add new default constructor, fix normalize_hex so
	that it doesn't always fall back to black if it can't understand the
	argument.  Just leave it as is if we can't normalize it.
	* src/gcs-mainwindow.cc: check the result of setting the the color as a
	result of a paste operation and don't update the current color unless the
	operation was successful

2006-01-31  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.cc: uncomment the default window size command.

2006-01-31  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h: add some basic infrastructure for checking whether
	the app is able to paste and disabling / enabling the menu item
	appropriately.  Unfortunately, I can't come up with a good scheme for when
	to do the check, so it's currently disabled.

2006-01-30  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* data/ui/colorscheme.ui: added a Paste menu item to the Edit menu
	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h: Added rudimentary support for pasting colors in
	colorscheme.  At this point it takes any string from the clipboard and
	tries to parse it to a color and doesn't handle failure cases at all.
	This means that any random text that doesn't parse to a valid color will
	set the current color to black.  Still needs some work.

2006-01-30  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/widgets/gcs-colorswatch.cc: removed some unnecessary header includes
	that were left over from when I split out the TextSwatch class

2006-01-30  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in:
	* src/core/gcs-palette.cc:
	* src/core/gcs-palette.h:
	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h:
	* src/main.cc:
	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h:
	* src/widgets/gcs-paletteview.cc:
	* src/widgets/gcs-paletteview.h: remove gnome-vfsmm dependency.  I was
	never really using it for much in the first place.  As it stands, the file
	functions are not particularly cross-platform.  The filename for loading
	the saved favorites, for example, uses unix directory separators.  At some
	point this should be abstracted out and made more portable.  Perhaps using
	boost::filesystem (?)

2005-12-24  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* src/gcs-mainwindow.cc: changed a whole bunch of if statements checking
	for null pointers to asserts since the program really won't work if the
		pointers are null anyway.

2005-11-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/ANNOUNCE: add skeleton outline for an announcement file for new
	releases of colorscheme

2005-11-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump revision post-release

==== colorscheme 0.3.1 ====

2005-11-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: add information about 0.3.1
	* configure.in: fix to show error when boost is not found.  bump revision

2005-11-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump the revision post-release

==== colorscheme 0.3 ====

2005-11-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/Makefile.am:
	* src/widgets/Makefile.am:
	* src/widgets/gcs-paletteview.cc: some changes because 'make distcheck'
	was complaining.  Added gcs-util.h to Makefile.am

2005-11-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: add information about 0.3 release
	* configure.in: bump release version to 0.3

2005-11-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: move the scheme selector above the palette so
	that it's easier to see.

2005-11-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h: favorites are now loaded automatically
	from disk at startup and saved to disk whenever a new color is added, a
	color is deleted, or all colors are cleared.

2005-11-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: add dependency on gnome-vfsmm-2.6
	* src/Makefile.am: add some preprocessor symbols that are needed for the
	GNOME_PROGRAM_STANDARD_PROPERTIES macro used in gnome_program_init()
	* src/core/gcs-palette.h:
	* src/core/gcs-palette.cc: use Gnome::Vfs::Uri for passing the path of the
	palette to load.  It doesn't currently load the file with Gnome::Vfs yet,
	but will eventually
	* src/gcs-mainwindow.h:
	* src/gcs-mainwindow.cc: Gnome::Vfs changes in BookmarkList and
	PaletteView, also added variables specifying the location of the
	configuration directory and the filename of the bookmarks file.
	* src/main.cc: Gnome::Vfs initialization (via gnome_program_init()), also
	cleaned up some of the OptionGroup code
	* src/widgets/gcs-bookmarklist.h:
	* src/widgets/gcs-bookmarklist.cc: Add preliminary support for loading and
	saving the bookmarklist to and from disk using Gnome::Vfs
	* src/widgets/gcs-paletteview.h:
	* src/widgets/gcs-paletteview.cc: Modify to take a Gnome::Vfs::Uri in the
	constructor due to changes in gcs::Palette

2005-11-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-color.cc:
	* src/core/gcs-color.h: add a operator!=() method to the Color class to
	make it easier to compare whether two color objects refer to the same
	color
	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h: change BookmarkList to return a ColorPtr
	instead of simply a hexstring.  Function name changed from get_hexstring()
	to get_color().
	* src/gcs-mainwindow.cc: minor changes to accomodate changes to
	BookmarkList interface

2005-11-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h: added a m_colColor column to the
	listStore that holds a ColorPtr
	* src/widgets/gcs-cellrendererswatch.cc:
	* src/widgets/gcs-cellrendererswatch.h: modified CellRendererSwatch to
	have a ColorPtr instead of a simple hexString to create the Color objects
	from.  Hopefully this will be a little more straightforward and improve
	performance slightly

2005-11-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* branches/colorscheme-0.2.2: merged in -r274:275 (czech)

2005-11-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/ui/colorscheme.ui: disabled file->new for switching between
	palettes.
	* src/widgets/gcs-paletteview.cc: disabled palette-specific names.  For
	the immediate future, the program will probably only support a single
	palette.  We can figure out how to do multiple palettes later.  This way,
	we get a translated Palette string and don't have to worry about how to
	translate palette names read from file

2005-11-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/Makefile.am: added gcs-palette.h and gcs-palette.cc
	* src/core/gcs-palette.h:
	* src/core/gcs-palette.cc: moved all of the non-UI-related functionality
	from gcs::Widgets::Palette to a new class, gcs::Palette.  This is in
	preparation for saving favorites as a .gpl palette file, so eventually
	this will have palette output functionality as well as palette parsing
	functionality
	* src/widgets/Makefile.am: change filenames from gcs-palette.[cc|h] to
	gcs-paletteview.[cc|h]
	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h: update due to renaming class from Palette to
	PaletteView
	* src/widgets/gcs-palette.cc:
	* src/widgets/gcs-palette.h: removed
	* src/widgets/gcs-paletteview.cc:
	* src/widgets/gcs-paletteview.h: update to separate UI from non-UI
	functionality.  This class now contains a gcs::Palette member, and simply
	displays it.

2005-11-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: make sure that the favorites column is at least a
	minimum width so that it doesn't get squished out by the palette view

2005-11-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-palette.cc: reduce the height of the palette view from
	150 to 100 pixels so it doesn't take up so much space
	* data/palettes/Web.gpl: change from 6 to 36 rows for the web-safe palette
	so that it all fits in a smaller vertical area
	* src/widgets/gcs-colorswatch.cc: reduce the minimum size of a Colorswatch
	from 15 to 12 pixels so that more swatches can fit in a row to allow the
	web-safe palette to take up less horizontal space

2005-11-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump revision to 0.2.3pre, add check for boost shared_ptr
	header and libintl.h header
	* src/core/gcs-color-group.cc:
	* src/core/gcs-color-group.h:
	* src/core/gcs-color.cc:
	* src/core/gcs-color.h:
	* src/core/gcs-scheme.cc:
	* src/core/gcs-scheme.h:
	* src/core/gcs-types.h:
	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h:
	* src/widgets/gcs-bookmarklist.cc:
	* src/widgets/gcs-bookmarklist.h:
	* src/widgets/gcs-colorswatch.cc:
	* src/widgets/gcs-colorswatch.h:
	* src/widgets/gcs-palette.cc:
	* src/widgets/gcs-palette.h:
	* src/widgets/gcs-schemebox.cc:
	* src/widgets/gcs-schemebox.h:
	* src/widgets/gcs-textswatch.cc:
	* src/widgets/gcs-textswatch.h: massive reworking of the way gcs::Color
	types are handled.  Now everything passes boost::shared_ptr<Color> instead
	of Color or Color& or Color*.  Therefore, as of this revision, GNOME
	colorscheme requires boost (for debian, libboost-dev)

2005-11-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* po/es_ES.po: merge from branches/colorscheme-0.2.2 -r265:267

2005-11-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/palettes/Makefile.am, data/ui/Makefile.am, pixmaps/Makefile.am:
	fixed some directory location issues left over from re-working the
	autoconf / automake stuff

2005-11-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* merge: Merged from branches/colorscheme-0.2.2 -r254:264 (added es_ES)

2005-11-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in, src/Makefile.am, src/dialogs/Makefile.am: cleaned up a
	bunch of the autoconf / automake stuff so that the data directories are a
	little easier to maintain

	* src/main.cc: updated the macro name LOCALEDIR to COLORSCHEME_LOCALEDIR
	due to re-working of autoconf stuff

2005-11-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in, src/dialogs/gcs-about-window.cc: change url in the 'about'
	dialog to link to the real homepage instead of the project space

2005-11-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: made the web palette the default palette

2005-11-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gs-textswatch.h, src/widgets/gcs-textswatch.cc: fix problem
	where changing a color wouldn't change the text in the swatch until it was
	clicked twice.  Moved the base class set_background() function to the
	beginning of TextSwatch::set_background() and made TextSwatch::redraw() a
	virtual function

2005-11-06  Jonathon Jongsma  <jonathon@quotidian.org>

	* po/POTFILES.in, src/widgets/gcs-palette.cc: added a new string for
	translation: "Palette"

2005-11-04  Jonathon Jongsma  <jonathon@quotidian.org>

	* merge: Merged changes from /branches/colorscheme-0.2.2 -r250:254
	* doc/RELEASE_CHECKLIST: modified the release process a little bit
	* src/ucompose.h: comment out the imbue() function for now since it was
	causing segfaults in some locales (notably fr_CA).
	* configure.in, po/ru.po: add russian translation, bump revision in
	configure.in

2005-11-03  Jonathon Jongsma  <jonathon@quotidian.org>

	* po/pt_BR.po, configure.in: added pt_BR translation.  merged from
	branches/colorscheme-0.2.2 -r247:248

2005-10-30  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/Makefile.am: add textswatch files
	* src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h,
	src/widgets/gcs-textswatch.cc, src/widgets/gcs-textswatch.h: split
	ColorSwatch into two classes, ColorSwatch and TextSwatch, to improve
	performance so that the palette doesn't need to use a swatch that displays
	text
	* src/widgets/gcs-schemebox.cc, src/widgets/gcs-schemebox.h: switch
	Schemebox to use the new TextSwatch class

2005-10-30  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-palette.cc, src/widgets/gcs-palette.h: removed a bunch
	of commented-out code that wasn't being used

2005-10-30  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-palette.cc, src/widgets/gcs-palette.h: size the scrolled
	window so that it's a max of 150px or 25 * m_rows

2005-10-30  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/palettes/Makefile.am, data/palettes/Visibone.gpl: added new palette
	* data/palettes/Web.gpl, data/palettes/Ximian-Palette.gpl: updated palette
	names
	* data/ui/colorscheme.ui: activated the 'new' menu option which is
	currently being used as a debugging tool to switch between palette options
	* src/widgets/gcs-colorswatch.cc: reduced the minimum size of a
	colorswatch to 15 from 20 so that palettes can fit in a slightly smaller
	area.  
	* src/widgets/gcs-colorswatch.h, src/widgets/gcs-colorswatch.cc: updated
	drawing code so that when lineWidth (now called m_borderWidth) is zero, a
	line is not drawn around the swatch.
	* src/widgets/gcs-palette.h, src/widgets/gcs-palette.cc: changed palette
	to a table inside of a scrolled window inside of an expander so that it
	doesn't take up such a huge amount of space when a large palette is
	selected.  Also use the given value for Columns in a palette file when
	provided.
	* src/widgets/gcs-schemebox.cc: added a minimum size request for
	schemeboxes
	* src/gcs-mainwindow.cc: enlarged the defalt window size, updated palette
	code for improved scrolled and collapsible palette widget

2005-10-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in:
	* data/Makefile.am:
	* data/palettes/Makefile.am:
	* data/palettes/Tango-Palette.gpl:
	* data/palettes/Web.gpl:
	* data/palettes/Ximian-Palette.gpl: added new palettes directory
	* data/ui/Makefile.am: Removed unnecessary line that was copied over
	from the desktop files Makefile.am
	* src/Makefile.am: added a define for the palette directory
	* src/core/gcs-color.cc: (operator<<) fix string representation of gcs::Color
	* src/gcs-mainwindow.h:
	* src/gcs-mainwindow.cc: add the palette to the main window -- it's just a
	quick and dirty implementation for now
	* src/widgets/tests/palette-test.cc:
	* src/widgets/tests/palette-test.h:
	* src/widgets/tests/test-main.cc:
	* src/widgets/Makefile.am: add a unittest for the palette implementation,
	but it currently segfaults
	* src/widgets/gcs-palette.cc:
	* src/widgets/gcs-palette.h: begin implementation of a palette widget.
	Needs a lot more work, though

2005-10-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc:
	* src/gcs-mainwindow.h: Use forward declaration of classes to reduce
	compilation dependencies slightly.  In practice it probably won't do too
	much, though.

2005-10-06  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/compat-round.cc: more fixes for FreeBSD, thanks to Piotr Smyrak

2005-09-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-util.h: add a util file which currently only contains a basic
	trim function
	* src/widgets/gcs-palette.cc, src/widgets/gcs-palette.h: add beginning of
	a palette implementation
	* src/widgets/tests/test-main.cc, src/widgets/tests/palette-test.cc,
	src/widgets/tests/palette-test.h: start implementing some tests for the
	palette
	* src/core/Makefile.am, src/widgets/Makefile.am: add new files to the
	makefiles

2005-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/colorscheme.desktop.in: Mark the application name for translation

2005-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-bookmarklist.cc: forgot to include gcs-i18n.h when
	marking "Favorites" for translation in last commit
	* src/widgets/gcs-colorswatch.h: removed declaration for on_action_use
	since the definition was removed in the last commit and caused build
	breakage

2005-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* po/POTFILES.in: added gcs-bookmarklist.cc -- Forgot to translate
	"Favorites"
	* src/widgets/gcs-bookmarklist.cc: marked "Favorites" for translation
	* src/widgets/gcs-colorswatch.cc: removed "Use Color" action which had a
	translatable string marked but wasn't being used.

2005-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: add bulgarian to ALL_LINGUAS
	* po/bg.po: Add Bulgarian translation, thanks to Rostislav Raykov

2005-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: increased the window size slightly to fix #4401

2005-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-bookmarklist.cc: made favorites list re-orderable via
	drag and drop

2005-09-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump the version after release

==== colorscheme 0.2.2 ====

2005-09-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: added info about new features in 0.2.2
	* configure.in: bumped version number to 0.2.2

2005-09-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* TODO: fixed end-of-line encoding

2005-09-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* pixmaps/colorscheme-dots.svg: reduced the size of the dots slightly and
	moved them farther to the center.  The old Icon would get really close to
	the end of the image and it would look a bit oversized in the Panel.  This
	gives it a little bit of empty space as a frame.

2005-09-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Changed random button name from "Random Color" to
	simply "Random" so that it doesn't take up so much space

2005-09-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/ui/colorscheme.ui: Enabled the history back and forward buttons and
	also added history items to the Edit menu
	* src/gcs-history.h: Modified a few things to prevent the history list to
	add a color to its history when the new color is the result of pressing
	back or forward (i.e. creating duplicate history entries).  May need a
	little bit of work yet -- not extensively tested.
	* src/gcs-mainwindow.cc: re-enabled the history stuff in the UI

2005-09-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Make the Favorites list selection become
	deselected on a color change unless the new color matches the selected
	color.
	* src/widgets/gcs-bookmarklist.cc: fixed get_hexstring() so that now it at
	least returns a null string when there's no item selected

2005-09-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-colorswatch.cc: change the threshold at which the text
	on a ColorSwatch changes from black to white from v=50 to v=65 which makes
	a pretty significant difference on readability on certain colors.

2005-09-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: fixed a minor issue where the darken / desaturate
	buttons weren't being set insensitive unless they were exactly equal to 5
	instead of <= 5

2005-09-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h: added a
	signal (signal_selected) that's emitted whenever a swatch is left-clicked.
	This allows the schemebox to pick it up and pass it on to the main window
	which can update its scheme to the color that was clicked.
	* src/widgets/gcs-schemebox.cc, src/widgets/gcs-schemebox.h: connect to
	the signal_selected signal from ColorSwatch and emit a new signal just
	created called signal_color_selected, which passes a hexString with the
	signal
	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: change to a singleton
	pattern (new Instance() method).  Also connected to the new signal from
	SchemeBox (signal_color_selected) and use the hexstring passed to update
	the scheme to that color.  Also factored a few things out into a new
	set_color method for MainWindow.
	* src/main.cc: get a reference to MainWindow with the new Instance()
	method
	* src/widgets/gcs-bookmarklist.cc, src/widgets/gcs-bookmarklist.h: removed
	a few obsolete things from the listmodel

2005-09-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-schemebox.cc, src/widgets/gcs-schemebox.h: updated to
	more gtk-like style
	* src/widgets/gcs-schemeselector.cc, src/widgets/gcs-schemeselector.h:
	updated to more gtk-like style
	* src/gcs-mainwindow.cc: updated to new API for schembox and
	schemeselector

2005-09-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h: changed
	to more gtk-like function style instead of CamelCase
	* src/widgets/gcs-schemebox.cc: update to new ColorSwatch API

2005-09-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-scheme.cc: Tweaked the split complements scheme a little
	bit to try to differentiate between the two split compliments a little bit
	more.  Also changed the order of them so that they're in the same order
	that the triads scheme is.

2005-09-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: added AccelKeys for actions "Random Color"
	(ctrl+R), "Add to Favorites" (ctrl+D), and "Remove from Favorites"
	(ctrl+X)

2005-09-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bumped version number to 0.2.2pre since I forgot to do it
	after the last release.

2005-09-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h: updated
	colorswatch to match new gcs::Color API a bit better.  Hopefully it's more
	efficient now as well.
	* src/core/gcs-color.cc, src/core/gcs-color.h: changed the gdk() function
	to return a reference to the internal Gdk::Color so that it can be passed
	to functions that require a reference type

2005-09-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-scheme.cc, src/core/gcs-scheme.h: update API to gtk-style
	instead of CamelCase
	* src/widgets/gcs-schemebox.cc, src/widgets/gcs-schemebox.h: update to new
	gcs::Scheme API style

2005-09-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-color.cc, src/core/gcs-color.h: Massive reworking of the
	gcs::Color class so that it uses a Gdk::Color object as its internal data
	storage.  That way I don't have to worry about the displayed colors (based
	on Gdk::Color) staying in sync with the gcs::Color object, Gdk::Color
	takes care of it all.  Hopefully it makes things a bit cleaner and easier
	to maintain.  Also updated the gcs::Color api to be more gtk-like instead
	of CamelCase.
	* src/core/tests/color-test.cc, src/core/tests/color-test.h,
	src/core/tests/test-main.cc: updated unit tests for new gcs::Color API
	* src/core/gcs-scheme.cc, src/core/gcs-types.h, src/gcs-mainwindow.cc,
	src/widgets/gcs-bookmarklist.cc, src/widgets/gcs-colorswatch.cc: updated
	for the new gcs::Color API

2005-09-13  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/Makefile.am: remove compat-round files
	* src/compat-round.cc, src/compat-round.h: moved to src/core/ directory
	* src/core/Makefile.am: add compat-round files
	* src/core/gcs-color.cc: modified include directive for compat-round.h

2005-09-13  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/Makefile.am: add compat-round files
	* src/compat-round.cc, src/compat-round.h: added compatibility wrapper for
	the round function so that it works better for FreeBSD
	* src/core/gcs-color.cc: change round functions to compat_round

2005-09-04  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-bookmarklist.cc, gcs-bookmarklist.h: Changed the
	implementation of the bookmarklist to use the new CellRenderer instead of
	simply setting the background of the cell.  Removed set_cell_background
	function.
	* src/widgets/gcs-cellrendererswatch.cc, gcs-cellrendererswatch.h: added a
	custom CellRenderer for displaying a colorswatch based on a hex string.
	* src/widgets/Makefile.am: added gcs-cellrendererswatch.cc and
	gcs-cellrendererswatch.h to the makefile

2005-09-01  Jonathon Jongsma  <jonathon@quotidian.org>

	* /trunk: merged in changes from /branches/historylist-0.2 from revision
	185 through 205

2005-08-31  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Random number generator is now seeded during the
	constructor for the MainWindow object instead of in the click handler for
	the randomize button.  This fixes bug #2831

2005-08-31  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: added doc target to make API documentation with doxygen
	* src/widgets/gcs-bookmarklist.cc, src/widgets/gcs-bookmarklist.h: added
	function to the bookmarklist so that it now sets the background color of
	each bookmark item to the color that it's bookmarking.  This has several
	drawbacks compared to a more optimal solution such as that you can't see
	the color when the item is selected, and that you can't see the text if
	the color is too dark.  This could be fixed to set the text color based on
	the background color brightness, but a better solutionw ould be to simply
	embed a small swatch next to the text instead of coloring the background.
	This will be done eventually.

2005-08-29  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/main.cc: added an include directive for gcs-i18n.h that was causing
	build issues on FreeBSD, thanks to Piotr Smyrak <piotr.smyrak@heron.pl>

==== colorscheme 0.2.1 ====

2005-08-28  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: added information about release 0.2.1
	* configure.in: bumped rev to 0.2.1
	* doc/RELEASE_CHECKLIST: updated the release process slightly

2005-08-28  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/ui/colorscheme.ui: added a 'random color' menu item to the 'edit'
	menu and a random color button to the default toolbar
	* src/core/gcs-color.cc, src/core/gcs-color.h: added an extra parameter to
	rgbToHex and hsvToHex that specifies whether to output a hash (#) at the
	beginning of the hex string (yeah, hack-y, I know).
	* src/core/gcs-types.h: changed max and min values from int to gint
	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: added functionality for
	creating a random color -- a new action "Randomize", new handler
	on_action_randomize

2005-08-28  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-bookmarklist.cc: Changed header label from "Saved
	Colors" to "Favorites" to match other terminology better.

2005-08-28  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: reverted to an HPaned
	container so that the favorites list isn't so wide and can be resized if
	necessary

2005-08-28  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/ui/colorscheme.ui: Added a bookmarks menu (actually named
	'Favorites' -- all references to bookmarks should now be favorites in the
	UI).  Also added a toolbar below the favorites list.
	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: readied the layout for the
	new UI by rearranging a few containers.  Added actions for adding and
	removing bookmarks as well as setting the actions sensitive or insensitive
	depending on the state of the favorites list.
	* src/widgets/gcs-bookmarklist.cc, src/widgets/gcs-bookmarklist.h: added
	API for checking whether the list is empty, checking how many rows are
	selected, and also removing the selected row easily.

2005-08-28  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/ui/colorscheme.ui: commented out history-related things
	* src/Makefile.am: add gcs-history.h
	* src/gcs-history.h: added a new file which defines a template-based
	implementation of a history navigation class
	* src/gcs-mainwindow.cc: extensive changes related to history
	functionality, however most of it is commented out at this point because
	it isn't working yet. 
	* src/gcs-mainwindow.h: added a few functions for handling forward and
	back navigation of history.  Currently they're disabled, however
	* src/widgets/gcs-colorswatch.cc: removed debugging output for 'exposed'

2005-08-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/colorscheme-ui-mockup.png: added a mockup of what I'd like to work
	towards for a user interface

2005-08-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: add definition for a colorscheme UI directory and output
	for a Makefile in the /data/ui directory
	* data/Makefile.am: add ui subdirectory
	* data/ui/Makefile.am: added makefile.am for ui data directory
	* data/ui/colorscheme.ui: split out the UI definition into a separate file
	instead of defining it in a string within gcs-mainwindow.cc
	* src/Makefile.am: add a preprocessor symbol for COLORSCHEME_UIDIR
	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: split out setup for
	ActionGroup and UIManager into separate init functions to make the
	constructor slightly cleaner, improved exception handling for missing icon
	files, and read UI definition from a datafile instead of a string.
	* src/widgets/Makefile.am: update gcs-historylist filenames to
	gcs-bookmarklist -- missed in last change

2005-08-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-historylist.cc, src/widgets/gcs-historylist.h: changed
	the filename from gcs-historylist to gcs-bookmarklist
	* src/gcs-mainwindow.h, src/widgets/gcs-bookmarklist.cc: adjusted #include
	statements for new bookmarklist filename

2005-08-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h,
	src/widgets/gcs-historylist.cc, src/widgets/gcs-historylist.h: changed the
	history sidebar to a bookmarks sidebar.  It no longer sorts by most
	recently-used and is called BookmarkList instead of HistoryList for
	obvious reasons.  I've decided to implement the history as a stack with
	back and forward buttons similar to a web browser.  Currently any
	newly-selected color will be added to the bookmarks list as if it was a
	history list, but this will change as soon as I add the functionality to
	manually add colors to the bookmarks list.

2005-08-26  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Add a stock 'CLEAR' icon to the 'Clear history'
	menu item

2005-08-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump revision to 0.3-dev

2005-08-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Marked a few more strings for translation (mostly
	menu names)
	* src/gcs-mainwindow.cc: Added a menu item and handler for clearing the
	history list, checked to make sure that there is at least one thing
	selected before using the 'selection' to set the new scheme color in
	on_history_selection_changed
	* src/gcs-mainwindow.h, src/gcs-mainwindow.cc: removed HSeparator
	* src/widgets/gcs-historylist.cc: When new colors are added to the history
	list (or old items updated), these items now get selected in the list
	* src/widgets/gcs-historylist.cc, src/widgets/gcs-historylist.h: added API
	to clear the history list

2005-08-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: added some constants for
	defining the window size, slightly larger than it was before due to the
	new history list sidebar
	* src/widgets/gcs-historylist.cc src/widgets/gcs-historylist.h
	src/gcs-mainwindow.cc: changed an API from HistoryList::selected() to
	HistoryList::get_hexstring()
	* src/widgets/gcs-historylist.cc, src/widgets/gcs-historylist.h: added a
	new column to the treemodel (m_colTimestamp) to keep track of when the
	history item was last used.  The treemodel is now sorted on this column
	and it is updated whenever a previously used color that was stored in the
	list is re-used.  The add() function no longer adds duplicate entries --
	it checks if the color already exists in the list and then simply updates
	the timestamp.

2005-08-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: Added a scrollbar to the
	history list so that the window size doesn't change when more items get
	added.  
	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: Added a handler for
	changing the current color if a history item is selected
	* src/widgets/gcs-historylist.h, src/widgets/gcs-historylist.cc: added
	function to return the hexstring of the currently selected history item

2005-08-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: Changed the HBox that holds
	the historylist to a HPaned class so that it can be resized.
	* src/widgets/gcs-historylist.cc: prepend new items to the history list
	instead of appending so that they show up at the top of the list.  Also
	select the new row when one is added.  Also display a header ("History")
	to indicate what the list is.

2005-08-23  Jonathon Jongsma  <jonathon@quotidian.org>

	* README: added note about installation and requirements

2005-08-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: no need to distribute zip files until it compiles and runs
	on windows

==== colorscheme 0.2 ====

2005-08-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: Add information about 0.2 release

	* configure.in: bump rev to 0.2

2005-08-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: Removed a few obsolete
	things like a duplicate toolbar, and a copy item in the 'edit' menu. Also
	commented out the preferences menu item since there are no preferences so
	far.

2005-08-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Added Accelerator keys for lightening / darkening
	and modifying the saturation of a color scheme.  Right now these are bound
	to the keypad plus and minus keys, but it'd be nice to bind it to the
	regular plus and minus as well.  I'm not sure how to bind one action to
	two different accel keys.

2005-08-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/RELEASE_CHECKLIST: add note about distcheck and some information on
	new gna release stuff.

2005-08-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/dialogs/gcs-about-window.cc, AUTHORS, README: changed to gmail
	address

	* TODO: updated address of bugtracker

	* configure.in: changed website address

	* doc/RELEASE_CHECKLIST: changed address of subversion repository

2005-08-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bumped version number

2005-08-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: limited darken and desaturate buttons so they
	don't go all the way down to 0.  This is a workaround for the issue where
	darkening or desaturating all the way is not reversible (refs #27)

2005-08-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/widgets/gcs-schemebox.cc,
	src/widgets/gcs-schemebox.h: reverted some changes from [172].  Swatch
	popup is now handled in the ColorSwatch class instead of assigned and
	handled from the MainWindow class.  The 'Use Color' menu item will issue a
	signal which will need to be connected to a handler in the MainWindow
	which will update the scheme.

	* src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h: added
	popup menu and implemented copying of the hex string of the ColorSwatch
	object (closes #20).  The 'Use Color' menu item is not implemented and is
	currently disabled.

2005-08-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-schemebox.cc, src/widgets/gcs-schemebox.h: Add New
	member 'setSwatchPopup' which takes a pointer to a popup menu and assigns
	it to each swatch that is in the schemebox using the 'setContextMenu' of
	the ColorSwatch.

	* src/gcs-mainwindow.cc: added a popup menu named "ColorSwatchPopup" and
	assigned this menu to the swatches using new SchemeBox member
	"setSwatchPopup"

	* src/gcs-mainwindow.h: Changed the type of m_pMainMenu from Widget* to
	Menu*

	* src/widgets/gcs-colorswatch.cc: (setContextMenu) update argument name to
	match coding standards (mnu -> pMnu).  Also set handler for button_clicked
	event to popup a context menu if one is registered.

	* src/widgets/gcs-colorswatch.h: update to coding standards

2005-08-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h: added an
	interface to define a popup menu for a ColorSwatch object.  Also added a
	bunch of documentation to the ColorSwatch class

2005-08-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: it turns out I don't require libgnomeuimm at all, just
	libgnomeui, and only for launching the web browser in the about dialog.

2005-08-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-types.h: got rid of 'magic numbers' in the hue_t, rgb_t and
	sv_t template definitions.  Replaced with the constant limit variables.

	* src/main.cc: added main documentation page to doxygen documentation

	* src/widgets/gcs-schemebox.h: removed an unnecessary include statement

2005-08-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-types.h: removed tReturnStatus
	
	* src/dialogs/gcs-about-window.cc, src/gcs-mainwindow.h,
	src/widgets/gcs-colorswatch.cc, src/widgets/gcs-colorswatch.h,
	src/widgets/gcs-schemebox.cc, src/widgets/gcs-schemebox.h,
	src/widgets/gcs-schemeselector.cc, src/widgets/gcs-schemeselector.h: added
	the Widgets:: and Dialogs:: namespaces to separate things out a little
	better.

	* src/dialogs/gcs-about-window.h, src/gcs-mainwindow.cc: updated
	mainwindow class to use new namespaces

2005-08-10  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: Changed descriptions of brightness and saturation
	actions, added a separator between the sets of icons, and added the
	ability to disable buttons when they no longer work.

	* src/gcs-mainwindow.h: changed m_pTweakBar to a pointer to Toolbar
	instead of Widget so that I can access Gtk::Toolbar member functions

	* pixmaps/ : Added new icons for changing the brightness and saturation of
	the color scheme

2005-08-10  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/core/gcs-types.h: changed RGB and SV types to be saturated
	arithmetic.  In other words, when trying to set a value ablve or below the
	valid ranges for these types, it just pegs it to the max or min value.
	This helps make it easier to implement an automatic lightening / darkening
	mechanism since we don't have to make sure that we're not going past the
	ends.

	* src/gcs-mainwindow.cc: implemented event handlers for lightening /
	darkening and increasing / decreasing saturation.  They're still a bit
	rough and could be improved significantly.

2005-08-10  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: fixed a few more memory allocation issues.  made
	stock icons auto_ptrs and deleted the about dialog box in the main windows
	destructor.

2005-08-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* autogen.sh: forgot to update for the changed directory structure last
	time. fixed.

2005-08-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/*: renamed back to src/.  Yes, I'm fickle.

	* po/POTFILES.in, configure.in, Makefile.am: fixed reference to renamed
	files in src/ directory

2005-08-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch.cc,
	colorscheme/widgets/gcs-colorswatch.h,
	colorscheme/widgets/gcs-schemebox.cc, colorscheme/widgets/gcs-schemebox.h,
	colorscheme/widgets/gcs-schemeselector.cc,
	colorscheme/widgets/gcs-schemeselector.h: renamed a few files to be less
	cumbersome

	* colorscheme/widgets/Makefile.am, colorscheme/gcs-mainwindow.cc,
	colorscheme/gcs-mainwindow.h: fixed references to renamed files

2005-08-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/gcs-color.cc, colorscheme/core/gcs-types.cc,
	colorscheme/core/gcs-types.h, colorscheme/gcs-mainwindow.cc,
	colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-scheme-selector.cc,
	colorscheme/widgets/gcs-schemebox-widget.cc: refactored a bunch of
	constructors to use initiailization lists instead of assigning values
	within the constructor.  Hopefully the code will become slightly more
	efficient.

2005-08-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-colorswatch-widget.h: changed white and black
	static members to objects instead of pointers so that they can be
	instantiated automatically instead of with 'new'

2005-08-08  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/gcs-color.cc: fixed operator= and operator== functions
	to check for assignment and comparison to itself

2005-08-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* acinclude.m4: added -n switch to svnversion to make sure that the
	version number doesn't have a newline at the end.

	* colorscheme/dialogs/gcs-about-window.cc: move the repository revision to
	the comment field instead of the version number field so that it's not so
	huge and overpowering.

2005-08-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* acinclude.m4, configure.in: Added a macro borrowed from somewhere else
	(don't remember where) to check the subversion repository version

	* colorscheme/dialogs/gcs-about-window.cc: appended the subversion
	repository revision to the end of the version number in the 'about' dialog
	window.

2005-08-01  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/gcs-mainwindow.cc, colorscheme/gcs-mainwindow.h: add actions
	and toolbar for lightening / darkening and saturating / desaturating the
	current theme.  The toolbar buttons don't do anything at this point,
	however.

	* colorscheme/gcs-mainwindow.cc: moved the color selector and scheme type
	selector below the scheme display area

	* pixmaps/Makefile.am: added some new pixmaps for toolbar icons (lighten,
	darken, saturate, desaturate).  Yes, they suck right now.  They're only
	placeholders until something better comes along.

2005-08-01  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/Doxyfile: remove some of the more expensive graph generation in the
	doxygen documentation

2005-07-29  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-colorswatch-widget.h: reverted a few things back
	from auto_ptrs to regular pointers since they were causing segfaults by
	deleting references when I didn't want them deleted.  Re-enabled the white
	text color on dark swatch backgrounds.

2005-07-29  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-colorswatch-widget.h: made black and white colors
	static member variables.  Also disabled different text colors for the time
	being as it was causing a segfault.

2005-07-26  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/gcs-scheme.h: getColor() now returns an actual Color
	object instead of an auto_ptr<Color>

	* colorscheme/widgets/gcs-colorswatch-widget.cc: fixed issues with the
	copy constructor and auto_ptr variables

	* colorscheme/widgets/gcs-colorswatch-widget.h: Changed API for
	setBackground to take a Color object rather than a pointer

	* colorscheme/widgets/gcs-schemebox-widget.cc: fixed a couple issues
	related to APIs that have changed from pointer to object

2005-07-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/gcs-color.h, colorscheme/core/gcs-scheme.h,
	colorscheme/core/gcs-sheme.cc,
	colorscheme/widgets/gcs-colorswatch-widget.h,
	colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-schemebox-widget.h,
	colorscheme/widgets/gcs-schemebox-widget.cc: changed API to use
	std:auto_ptr

2005-07-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-colorswatch-widget.h: added functionality to
	display the text information in white if the background color of the
	ColorSwatch has a value less than 50.  Closes #13.

2005-07-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/gcs-mainwindow.cc: removed padding from schemebox
	* colorscheme/widgets/gcs-schemebox-widget.cc: removed padding from
	ColorSwatches and set spacing and border_width instead.  Reduced the space
	between the swatches.  Closes #24

2005-07-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc: Let ColorSwatch get down
	to 20x20 pixels and don't display even the minimal text when the swatch
	gets too small.  Closes #16

2005-07-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc: fixed the code that
	determined which text to display in the swatch -- it was comparing the
	text width to the swatch height, so it was going to the minimal text much
	quicker than it should have.  Closes #23

2005-07-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/gcs-mainwindow.cc: set the title of the main window to the
	name set in config.h. Closes #22

2005-07-24  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/RELEASE_CHECKLIST: add step to make distclean

==== colorscheme 0.1 ====

2005-07-23  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: Add information about 0.1 release

	* doc/RELEASE_CHECKLIST: Added a list of task to do when making a release

	* pixmaps/colorscheme.svg: updated the website header image to match the
	icon and logo

2005-07-23  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/tests/color-test.cc: update unit test to work with new
	naming convention for member variables.

2005-07-23  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump the rev to 0.1 -- getting ready for a release

	* Makefile.am: added a DISTCLEANFILES section modeled after gedit, also
	added and AUTOMAKE_OPTIONS definition to make bzip2 and zip formats when
	making a new release

	* README, data/Makefile.am, data/colorscheme.desktop.in: changed line
	endings from dos to unix

	* po/POTFILES.in, po/ChangeLog: added files in the po directory even
	though they're really not used yet.

2005-07-22  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/widgets/gcs-colorswatch-widget.cc,
	colorscheme/widgets/gcs-colorswatch-widget.h: fixed an error in the
	setBackground method of ColorSwatch that was allocating a new SwatchText
	object from the free store every time the function was called.  Instead
	the SwatchText objects are allocated on_realize and inside setBackground,
	we only call SwatchText::setText().  Closes #11.

2005-07-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/gcs-scheme.cc, colorscheme/core/gcs-scheme.h,
	colorscheme/core/tests/color-group-test.cc, colorscheme/gcs-mainwindow.cc,
	colorscheme/tests/display-algorithm.cc,
	colorscheme/widgets/gcs-schemebox-widget.cc,
	colorscheme/widgets/gcs-schemebox-widget.h: Changed interface to a
	constructor instead of a static Scheme::create function (I'm not sure why
	I did that in the first place).  Also changed the argument to a Color
	object instead of a pointer to a Color object.

2005-07-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* All Classes: started changing coding style to fit more with GNOME /
	gtkmm coding styles so that things are more consistent

2005-07-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/Makefile.am: added gcs-i18n.h to the sources list

	* colorscheme/widgets/gcs-scheme-selector.cc,
	colorscheme/gcs-mainwindow.cc, colorscheme/dialogs/gcs-about-window.cc:
	marked a bunch of strings as translatable and added a translation credits
	string to the dialog

	* colorscheme/dialogs/gcs-about-window.cc: set the icon for the about
	dialog window.  Closes #14

	* colorscheme/main.cc: added some gettext functions to main()

2005-07-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in, Makefile.am, data, colorscheme/Makefile.am,
	colorscheme/dialogs/Makefile.am, colorscheme/gcs-i18n.h: getting ready for
	internationalization with intltool.  Also added a .desktop file and a header
	file for defining some gettext macros, etc.

2005-07-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/dialogs/gcs-about-window.cc: add a callback to open the
	default web browwser when clicking the link in the about window

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: add pixmaps subdir
	* colorscheme/Makefile.am, colorscheme/dialogs/Makefile.am: Added some
	compiler flags to define different filesystem locations, such as where
	icons are installed, etc.
	* colorscheme/main.cc, colorscheme/gcs-mainwindow.cc,
	colorscheme/dialogs/gcs-about-window.cc: use macros from config.h for the
	program name and version, as well as compiler flags for icon and logo file
	locations
	* configure.in: define icon directories, other minor tweaks
	* pixmaps/Makefile.am: added a makefile to install the icons and logo file

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* pixmaps: renamed data/ directory to pixmaps/

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/Makefile.am, colorscheme/core/tests/color-test.cc,
	colorscheme/core/tests/color-test.h, colorscheme/core/tests/color_test.cc,
	colorscheme/core/tests/color_test.h, colorscheme/core/tests/test-main.cc,
	colorscheme/core/tests/test_main.cc: renamed unit test sources to use
	dashes instead of underscores.  it just bugged me, ok?

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/tests/test_main.cc: change from DOS to unix
	line-endings

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* colorscheme/core/Makefile.am: added unit tests to the make check target

	* colorscheme/core/tests/color-group-test.cc: changed include directory
	due to change in [119] from libcolorscheme to colorscheme/core

	* colorscheme/core/tests/test_main.cc: check the result of the test run
	and return a value based on the result so that make check will report the
	correct status of the tests

	* configure.in: add cppunit dependency, update bug reporting address

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* README: add initial README text

2005-07-19  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am, colorscheme/Makefile.am, colorscheme/core/Makefile.am,
	colorscheme/dialogs/Makefile.am, colorscheme/widgets/Makefile.am,
	configure.in: switch from libtool to ranlib (.la to .a libraries) which
	seems to compile faster and works around a linking issue that i had after
	upgrading binutils.  Also improved a few macros in configure.in

2005-07-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* src: renamed the src/ directory to colorscheme/

	* autogen.sh: update to new source directory name

2005-07-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* INSTALL, Makefile.am, autogen.sh, configure.in, makefile,
	src/Makefile.am, src/core/Makefile.am, src/dialogs/Makefile.am,
	src/widgets/Makefile.am: switch over to building with autotools.  I'm
	still learning so it'll probably take some work yet.  Closes #4.

2005-07-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/*, src/gcs-mainwindow.h,
	src/widgets/gcs-colorswatch-widget.h, src/widgets/gcs-scheme-selector.cc,
	src/widgets/gcs-scheme-selector.h, src/widgets/gcs-schemebox-widget.h,
	makefile: moved libcolorscheme directory under the src/core/ directory to get
	ready for moving to autotools. Refs #4

2005-07-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/gcs-checked-int.h: Changed the range-checking so that it
	wraps around to 0 after 359 instead of going to 360, which was causing
	some issues with the tetrad color scheme.  Also reformatted the source.
	Closes #10.

2005-07-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* all: Changed namespace from 'colorscheme' to 'gcs'

2005-07-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc: added a default window size of 400 pixels wide x
	200 pixels high.  Closes #12

2005-07-17  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-colorswatch-widget.cc,
	src/widgets/gcs-colorswatch-widget.h: Significant changes to the
	ColorSwatch widget to allow it to be resizeable and display more
	information about the color when it's a larger size.  The new minimum size
	for the swatch is currently 60 pixels instead of 75, though this should
	probably be changed to the size of the pango text layout.  The API for the
	ColorSwatch changed a bit too -- now the constructor and some other
	functions take pointers to Colors instead of Colors.

	* src/widgets/gcs-schemebox-widget.cc: use new ColorSwatch API and allow
	swatches to expand when the window is resized.

	* src/widgets/gcs-colorswatch-widget.cc,
	src/widgets/gcs-colorswatch-widget.h: disabled popup menu because it was
	causing problems.  This will be moved to the main window eventually.

2005-07-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/dialogs/gcs-about-window.cc, src/dialogs/gcs-about-window.h: added
	class defining an 'About' Dialog.  The logo is pointing specifically to a
	copy of an image in the repository so it won't work outside of my dev box.
	Will fix it later.

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: Connected the Help>About
	menu item to showing the new About dialog

	* src/gcs-mainwindow.cc: add path to a local copy of an icon so that the
	application window now displays an icon and catches the exception if it
	can't find the icon.

	* makefile: update to build the About dialog

2005-07-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/colorscheme-dots.svg, data/colorscheme.svn,
	data/colorscheme-dots-96x96.png: updated colorscheme logo images to match
	schemes generated by the program, added a 96 pixel version for the About
	Dialog

2005-07-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-debug.cc, src/gcs-mainwindow.cc, src/gcs-mainwindow.h,
	src/main.cc, src/ucompose.h, src/widgets/gcs-colorswatch-widget.cc,
	src/widgets/gcs-scheme-selector.cc, src/widgets/gcs-schemebox-widget.cc,
	makefile: changed to new debug framework, borrowed from the Coaster
	project (http://www.coaster-burner.org).  Also borrowed some code from
	coaster to parse command-line arguments.  Now to enable debugging, you
	must run the executable with a '--debug' flag.

2005-07-15  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-content-box.h, src/gcs-content-box.cc, src/gcs-mainwindow.h:
	removed obsolete ContentBox files and include directive.

	* src/gcs-debug.h, src/gcs-debug.cc, src/ucompose.h: added files
	implementing debugging functions borrowed from the Coaster application.
	Currently these are not yet used anywhere.

2005-07-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h,
	src/widgets/gcs-scheme-selector.cc: added on_show() handler to the main
	window so that it automatically displays the color and scheme type that's
	selected right at startup.

2005-07-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/widgets/gcs-colorswatch-widget.cc,
	src/widgets/gcs-scheme-selector.cc: #ifdef'ed a bunch of statements that
	print debugging information to the console so that it doesn't print stuff
	to the terminal unless we're building a debug build.

	* src/gcs-mainwindow.cc: change pack options for the SchemeBox so that
	when the window is resized, the colorswatch widgets will be expanded
	instead of the space being added between the statusbar and the window
	border.

2005-07-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/widgets/gcs-schemebox-widget.cc, src/widgets/gcs-schemebox-widget.h:
	hide swatches whenever a scheme gets changed and then re-show them when
	the new swatches are assigned.  Closes #9

2005-07-13  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/gcs-color.cc, libcolorscheme/gcs-color.h,
	libcolorscheme/gcs-scheme.cc, libcolorscheme/gcs-scheme.h,
	src/gcs-content-box.cc, src/gcs-content-box.h, src/gcs-mainwindow.cc,
	src/gcs-mainwindow.h, src/widgets/gcs-colorswatch-widget.cc,
	src/widgets/gcs-colorswatch-widget.h, src/widgets/gcs-scheme-selector.cc,
	src/widgets/gcs-scheme-selector.h, src/widgets/gcs-schemebox-widget.cc,
	src/widgets/gcs-schemebox-widget.h: Too many changes to list.  Finally got
	a rough UI working.  Needs a lot of work yet, but it does display schemes
	based on the color selected and the type of scheme selected.

2005-07-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/gcs-scheme-factory.h,
	libcolorscheme/tests/color-group-test.cc: removed obsolete header file,
	updated unit tests to use new static Scheme::create() function instead.

2005-07-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/requirements.html: adjusted the target version numbers for some of
	the features now that I have a better understanding of things.

2005-07-11  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h,
	src/widgets/gcs-main-menu.cc, src/widgets/gcs-main-menu.h, makefile:
	changed to use the UIManager framework for the main menu.  Needed to move
	it out to the MainWindow instead of a separate LayoutBox class.  Removed
	old main-menu files. closes #7

2005-07-10  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h,
	src/widgets/gcs-main-menu.cc, src/widgets/gcs-main-menu.h, makefile: split
	out MainMenu menubar and LayoutBox into their own classes to simplify
	MainWindow code

005-07-10  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-content-box.cc, src/gcs-content-box.h, src/gcs-mainwindow.cc,
	src/gcs-mainwindow.h, src/widgets/gcs-scheme-selector.cc,
	src/widgets/gcs-scheme-selector.h, makefile: split out the colorscheme
	selector ComboBox and its containing HBox to a separate file / class.
	Modified makefile to add new source files

2005-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* makefile, src/gcs-colorswatch-widget.cc, src/gcs-colorswatch-widget.h,
	src/gcs-mainwindow.cc, src/gcs-schemebox-widget.cc,
	src/gcs-schemebox-widget.h: moved SchemeBox widget and ColorSwatch widget
	to a widgets/ subdirectory.

2005-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/gcs-scheme.cc, libcolorscheme/gcs-scheme.h: reverted
	Scheme::create to use a reference to a Color clas so that we don't get
	segfaults by trying to pack a local variable in the schemebox.

	* src/gcs-colorswatch-widget.cc, src/gcs-colorswatch-widget.h: added a
	right-click context menu to the colorswatch.  Currently it does nothing
	but pop up a 2-item menu and print out a message on the console if it's
	clicked.  Functionality to be added later.

	* src/gcs-mainwindow.cc: got rid of a couple intermediat iterator
	variables in the combobox constructor

	* src/gcs-mainwindow.h: added #include for gtkmm/liststore.h

2005-07-08  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-mainwindow.cc, src/gcs-mainwindow.h: changed the scheme selector
	widget from ComboBoxText to a real ComboBox widget

2005-07-08  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/gcs-scheme.cc, libcolorscheme/gcs-scheme.h: changed Color
	argument from a reference to a regular variable.

	* src/gcs-colorswatch-widget.cc, src/gcs-colorswatch-widget.h: Added a
	button press event to the colorswatch widget so that eventually I can
	implement a right-click menu for it.

	* src/gcs-schemebox-widget.cc: fixed an error in the destructor

2005-07-08  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/gcs-colorswatch-widget.cc: fixed up destructor slightly, moved debug
	statements to the end of their functions

2005-07-07  Jonathon Jongsma  <jonathon@quotidian.org>

	* TODO: added a few tasks and deleted the ones that were there

2005-07-07  Jonathon Jongsma  <jonathon@quotidian.org>

	* doc/CODING_STANDARD: fixed some formatting issues due to tab/space format

2005-07-07  Jonathon Jongsma  <jonathon@quotidian.org>

	* libcolorscheme/gcs-scheme-factory.cc, libcolorscheme/gcs-scheme.cc,
	libcolorscheme/gcs-scheme.h: moved all functionality from SchemeFactory to
	a static function create() in colorscheme::Scheme

	* makefile: added build rule for the algorithm test window

	* src/gcs-mainwindow.cc: got the main window into a slightly more
	presentable state, but it still doesn't do anything

	* src/gcs-schemebox-widget.cc, src/gcs-schemebox-widget.h: split out
	display code to a new function setScheme -- still needs a bit of work.

	* src/tests/display-algorithm.cc: updated to match changes in other
	modules.

2005-07-03  Jonathon Jongsma  <jonathon@quotidian.org>

	* makefile, src/gcs-mainwindow.cc, src/gcs-mainwindow.h: added files to
	define a class for the main application window.  The UI isn't decided yet,
	just getting the infrastructure in place.

	* makefile, src/main.cc: Added a skeleton main function

2005-07-03  Jonathon Jongsma  <jonathon@quotidian.org>

	* data/colorscheme-dots.svg, data/colorscheme-dots-48x48.png: modified
	dots image and created a 48x48 png icon to use for the icon

	* libcolorscheme/gcs-color-group.cc, libcolorscheme/gcs-color-group.h,
	libcolorscheme/gcs-palette.h, libcolorscheme/gcs-scheme-factory.cc,
	libcolorscheme/gcs-scheme-factory.h, libcolorscheme/gcs-scheme.h: split
	the classes derived from ColorGroup into their own header and source files
	so that they can be included separately

	* makefile, src/gcs-colorswatch-widget.cc: Added a DEBUG symbol and an
	#ifdef in the source so that it doesn't spew messages to the console
	unless we're compiling in debug mode.

	* src/gcs-schemebox-widget.cc, src/gcs-schemebox-widget.h: added a
	SchemeBox widget that can be initialized with a colorscheme::Scheme object
	and displays swatches of all of the colors in the scheme

	* src/tests/display-algorithm.cc: a simple main function that tests out
	some of the widget functions.  Will probably be removed at some point.
	Currently it displays a SchemeBox for each type of colorscheme algorithm.

	* makefile: changed some of the executable filenames, updated .PHONY
	targets, added new source files, etc.

2005-07-03  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/colorscheme/gcs-colorswatch-widget.cc,
	src/colorscheme/gcs-colorswatch-widget.h: moved source files from
	src/colorscheme to src/

	* makefile: updated makefile to new directory structure

2005-07-03  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/colorscheme/gcs-colorswatch-widget.h, src/lib/gcs-checked-int.h,
	src/lib/gcs-color-group.cc, src/lib/gcs-color-group.h,
	src/lib/gcs-color.cc, src/lib/gcs-color.h, src/lib/gcs-types.cc,
	src/lib/gcs-types.h, src/lib/tests/color-group-test.cc,
	src/lib/tests/color-group-test.h, src/lib/tests/color_test.cc,
	src/lib/tests/color_test.h, src/lib/tests/test_main.cc: rearranged
	directory structure so that the library code is now located in
	libcolorscheme/ under the project root, instead of src/lib

	* makefile: updated to reflect directory structure change

2005-07-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* src/colorscheme/gcs-colorswatch-widget.cc: Changed so that the
	Gdk::Window background color gets set on expose_event instead of
	on_realize.  This makes it so that changing the GNOME application font
	doesn't clear the background color.  Fixes ticket:5

	* src/colorscheme/gcs-colorswatch-widget.cc: Made the text display inside
	the ColorSwatch widget dependant on the size set for the widget.  If the
	size is too small, it will only print the hexString, otherwise it'll also
	print the RGB and HSV numbers.

2005-07-02  jonathon  <jonathon@quotidian.org>

	* makefile : Yes, it's a mess, I know. 

	* src/colorscheme/gcs-colorswatch-widget.* : The Swatch widget now renders
	more or less correctly, including a display of the hexString centered on
	the swatch.  It's not perfect yet, but it works ok.

	* src/lib/gcs-color.* : changed getHexString() function to be able to
	return a hex string with a '#' on the front for use by
	Gdk::GC::alloc_color().  Also added an assignment operator implementation.

2005-06-30  jonathon  <jonathon@quotidian.org>

	* doc/Doxyfile : added call graphs, modified to include all files under
	src, not just src/lib

	* src/colorscheme/gcs-colorswatch-widget.* : Started implementing a custom
	color swatch widget in gtkmm

2005-06-29  jonathon  <jonathon@quotidian.org>

	* doc/Doxyfile : ignore tests directory for API documentation, don't produce
	RTF output by default

	* src/lib/gcs-checked-int.h, src/lib/gcs-color-group.h : added API
	documentation to a bunch of classes

	* src/lib/gcs-colorscheme.h : removed obsolete file

2005-06-29  jonathon  <jonathon@quotidian.org>

	* src/lib/gcs-types.h : added API documentation to the type definitions,
	changed hue_t to wrap around when adding a value would exceed the upper
	limit (to simulate a color wheel)

	* src/lib/gcs-color-group.cc : Implement the SchemeFactory::newScheme
	method for all available scheme types, although the algorithms likely need
	a bit of tweaking to get them to look decent, especially the monochromatic
	algorithm.

	* src/lib/gcs-color.* : removed validation functions for color types,
	since it's taken care of with exceptions (or, in the case of hue_t,
	rollover) now.  This required changes to setXXX functions.

	* src/lib/tests/color-group-test.cc : added a few things to test out the
	scheme generation, although it's really just a hack for now to see if it
	was working at all.  Real tests will have to be written yet.

2005-06-28  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme.zuml : updated architecture

	* src/lib/gcs-color-group.*, src/lib/tests/color-group-test.* : Added some
	classes to implement groups of colors, which can be used for color
	schemes, palettes, bookmark lists, etc.  Support is still very rudimentary
	at this point.

	* src/lib/gcs-color.* : added a operator<< to the Color class, so we can
	print a representation of a Color class easily.

	* makefile : added support for new color group classes

2005-06-28  jonathon  <jonathon@quotidian.org>

	* src/lib/* : renamed a bunch of files to gcs-* format

	* COPYING : fixed formatting

2005-06-28  jonathon  <jonathon@quotidian.org>

	* src/lib/checkedInt.h : replaced checkedInt.cc

	* src/lib/color.*, src/lib/types.h : more rework to incorporate new color
	types, especially fixing type cast warnings, etc.

	* src/lib/tests/color_test.h : catch exceptions in invalid input tests

	* makefile : reorganized the makefile slightly to make a test target, a
	debug target, and a production target.

2005-06-27  jonathon  <jonathon@quotidian.org>

	* src/lib/checkedInt.cc : added a new range-checked integer type that can
	be used for color values

	* src/lib/color.[cc|h], src/lib/types[cc|h], src/lib/tests/color_test.cc:
	fairly major rework to use the new range-checked color types and
	class-based tColorHsv and tColorRgb.  Many tests that test for invalid
	inputs now fail on a out-of-range exception that isn't handled.  These
	tests should be updated,but otherwise, the same tests still fail due to
	off-by-one issues.

2005-06-26  jonathon  <jonathon@quotidian.org>

	* src/lib/color.h, src/lib/color.cc: added copy constructor and operator==
	function (fixes ticket:3)

	* doc/requirements.html: moved gettext and autotools to release 0.3

2005-06-26  jonathon  <jonathon@quotidian.org>

	* src/lib/color.h, src/lib/color.cc, src/lib/tests/color_test.cc: changed
	all member functions setFrom*() to setColor() overloaded functions to make
	the API simpler.

2005-06-21  jonathon  <jonathon@quotidian.org>

	* ./, doc/ : set svn:ignore properties to ignore generated and backup
	files

2005-06-20  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme.zuml : updated architecture drawing to match current
	code 

2005-06-20  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc : implemented updateHexFromHsv, updateHexFromRgb, hexToHsv, and
	hsvToHex, which were causing some tests to fail

	* makefile : added header prerequisite to build rules to force a rebuild
	on header file changes.  There's probably a better way to do this though.

	* src/lib/tests/color_test.h : adjusted include path for color.h, since it
	was having trouble finding the file.

2005-06-20  jonathon  <jonathon@quotidian.org>

	* makefile: moved to root of directory structure, which required a few
	path changes, etc.  Added a cleandoc target for cleaning doxygen-generated
	API documentation

2005-06-18  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cc: fixed a regression from last change.
	Implemented remaining three tests.

	* src/lib/color.cc, src/lib/tests/color_test.cc: added exceptions to normalizeHex so that we can tell
	when an invalid string is passed in. Also added test assertion to verify
	that hexstring value is not updated when an exception is thrown.

	* src/lib/types.cc: reverted to stricter operator== behavior until I figure out
	what the issue is.  Some of the colors have more than one attribute that
	is off by one, which is slightly concerning.

	* makefile: added doc target to build doxygen documentation

2005-06-18  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cc: reformatted code, used some new functions
	to streamline things a bit

2005-06-18  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cc, src/lib/tests/color_test.h: added 3 more
	tests and implemented 6 others.  Currently only 4 are unimplemented, and
	all that are implemented pass.

	* src/lib/color.cc, src/lib/color.h: overloaded validation functions so
	that you can validate tColorRgb and tColorHsv structions all at once
	instead of doing them attribute-by-attribute.  

	* src/lib/types.cc, src/lib/types.h: changed operator== for tColorHsv and
	tColorRgb so that they now return true if only one of the attributes is
	different by 1.  Rounding was causing differences of one between
	conversions in colorscheme and gimp.

2005-06-16 15:28  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.h: * Replaced tReturnStatus with
	  bool on all functions * made conversion and validation functions
	  (i.e. rgbToHex, etc) into public static member functions * changed
	  a lot of function arguments to const * added functions hsvToHex
	  and hexToHsv * added functions updateHexFromRgb and
	  updateHexFromHsv * moved remaining private functions and
	  attributes to protected

2005-06-16 03:33  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.h, src/lib/colorscheme.h,
	  src/lib/tests/color_test.cc, src/lib/tests/color_test.h,
	  src/lib/tests/test_main.cc, src/lib/types.cc, src/lib/types.h:
	  Reformatted source files to use spaces instead of tabs

2005-06-16 03:10  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.h, src/lib/tests/color_test.cc,
	  src/lib/tests/color_test.h: * Implemented a bunch more tests (only
	  11 fail now) * Implemented setting a color from hex string * a
	  couple other minor things

2005-06-16 02:14  jonathon  <jonathon@quotidian.org>

	* src/lib/types.cc, src/lib/types.h: Added comparison (operator==)
	  for tColorRgb and tColorHsv types

2005-06-15 18:43  jonathon  <jonathon@quotidian.org>

	* doc/Doxyfile, src/lib/color.h, src/lib/types.cc, src/lib/types.h:
	  Updated a lot of api documentation comments. Tweaked a few
	  configuration settings in the doxygen config file

2005-06-15 03:47  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.h, src/lib/tests/color_test.cc:
	  Changed some function signatures to take tColorXxx types instead
	  of individual color bytes. Added about 10+ test cases that now
	  pass.

2005-06-14 17:57  jonathon  <jonathon@quotidian.org>

	* data/colorscheme-dots.svg: New potential logo-type image. Still
	  quite rough.

2005-06-14 17:56  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cc, src/lib/tests/color_test.h:
	  Implemented a few more unit tests, removed a few redundant unit
	  test cases

2005-06-14 04:09  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/tests/color_test.cc,
	  src/lib/tests/color_test.h: implemented setting color from HSV --
	  got a few more unit test cases to pass

2005-06-14 03:25  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/tests/color_test.cc,
	  src/lib/tests/test_main.cc, src/lib/types.cc: [sigh] clean up
	  rename details

2005-06-14 03:24  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.cpp, src/lib/makefile,
	  src/lib/tests/color_test.cc, src/lib/tests/color_test.cpp,
	  src/lib/tests/test_main.cc, src/lib/tests/test_main.cpp,
	  src/lib/types.cc, src/lib/types.cpp: Renamed files to use the .cc
	  extension instead of .cpp to follow GNU convention more closely

2005-06-14 03:20  jonathon  <jonathon@quotidian.org>

	* src/lib/makefile, src/lib/types.cpp, src/lib/types.h: Added
	  operator<< overloading for color types (rgb and hsv)

2005-06-13 21:54  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp, src/lib/color.h, src/lib/tests/color_test.cpp,
	  src/lib/tests/color_test.h: Many fixes involving hexStrings: *
	  Implemented hexString constructor * implemented hexToRgb function
	  * implemented normalizeHex function * added some test cases for
	  hex string normalization

2005-06-03 04:11  jonathon  <jonathon@quotidian.org>

	* src/lib/makefile: build with debugging symbols

2005-05-31 21:58  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp: Simplified stringstream hex conversion (using
	  uppercase manipulator)

2005-05-27 03:14  jonathon  <jonathon@quotidian.org>

	* src/lib/makefile: Added a simple makefile for compiling unit tests
	  until I get around to integrating autotools

2005-05-27 03:11  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp, src/lib/color.h, src/lib/tests/color_test.cpp,
	  src/lib/tests/color_test.h, src/lib/types.h: fairly substantial
	  rewrite of some things. * made rgb and hsv structs instead of
	  individual r, g, b attributes * got rgb to hsv conversion (and
	  vice versa) working more-or-less * added a few tests for rgb to
	  hsv conversion * got a few more tests passing

2005-05-26 02:40  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp, src/lib/tests/color_test.cpp: Test for Color's
	  default constructor passes

2005-05-24 22:08  jonathon  <jonathon@quotidian.org>

	* doc/CODING_STANDARD: Added more detail to the coding standard

2005-05-24 19:12  jonathon  <jonathon@quotidian.org>

	* doc/Doxyfile: Added doxygen configuration file

2005-05-24 17:06  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp, src/lib/color.h: Added doxygen documentation
	  for the Color class

2005-05-24 15:52  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cpp: fix for issue with
	  CPPUNIT_ASSERT_EQUAL with Glib::ustring

2005-05-24 15:46  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cpp: Changed tests from CPPUNIT_ASSERT to
	  CPPUNIT_ASSERT_EQUAL

2005-05-24 15:39  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp, src/lib/color.h, src/lib/tests/color_test.cpp:
	  Fixed some things that allow test suite to compile for setFromRgb
	  tests. Tests still fail since Color class isn't implmented, but
	  the tests run

2005-05-24 15:01  jonathon  <jonathon@quotidian.org>

	* CODING_STANDARD, doc/CODING_STANDARD: moved coding standard doc
	  into the docs/ directory

2005-05-24 14:59  jonathon  <jonathon@quotidian.org>

	* src/lib/tests/color_test.cpp, src/lib/tests/color_test.h:
	  Implemented tests for setFromRgb; untested

2005-05-24 13:56  jonathon  <jonathon@quotidian.org>

	* CODING_STANDARD, TODO: Added rough coding standard

2005-05-24 02:43  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cpp, src/lib/color.h, src/lib/tests/color_test.cpp,
	  src/lib/tests/color_test.h, src/lib/tests/test_main.cpp,
	  src/lib/types.h: implemented a couple of tests, and implemented
	  some functionality for the Color class -- got the test cases to
	  compile

2005-05-23 18:49  jonathon  <jonathon@quotidian.org>

	* src/lib/color.h, src/lib/tests/color_test.cpp,
	  src/lib/tests/color_test.h: Added a few more test cases, started
	  coding tests

2005-05-23 16:26  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.cpp, src/lib/color.h,
	  src/lib/tests/color_test.cpp, src/lib/tests/color_test.h,
	  src/lib/tests/test_main.cpp, src/lib/types.h: Added unit test
	  framework based on CppUnit. Needs more work yet

2005-05-20 19:00  jonathon  <jonathon@quotidian.org>

	* src/lib/color.h: I think it'll be easier to have h, s, and v as
	  attributes rather than generating them all the time.

2005-05-20 18:54  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.h, src/lib/colorscheme.h,
	  src/lib/types.h: Changed some GPL boilerplate that was wrong

2005-05-20 18:39  jonathon  <jonathon@quotidian.org>

	* TODO, src/lib/tests: Added TODO and tests directory

2005-05-17 16:30  jonathon  <jonathon@quotidian.org>

	* src/lib/color.cc, src/lib/color.h, src/lib/colorscheme.h,
	  src/lib/types.h: Added GPL boilerplate

2005-05-17 04:02  jonathon  <jonathon@quotidian.org>

	* src/lib/color.h: forgot to include the types header file

2005-05-17 03:58  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme.zuml, src/lib/color.h: Added a bit more detail to
	  the Color class

2005-05-16 21:14  jonathon  <jonathon@quotidian.org>

	* src/lib/color.h: color.h: updated to match architecture drawing a
	  bit more. Still needs quite a bit of work and thought. Right now
	  it's just experimentation

2005-05-16 20:58  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: requirements: should -> shall and other
	  fixes

2005-05-16 20:47  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: added requirements about color naming

2005-05-16 19:13  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: added 'milestone' field to requirements
	  documentation, indicating which release it should be a part of.
	  Added requirements for each separate color scheme algorithm, other
	  minor fixes

2005-05-14 19:06  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme.zuml, doc/colorscheme_architecture.zargo: Changed
	  architecture format from argouml to poseidon for UML. It's not a
	  completely free tool, but there is based on argouml and there's a
	  community edition available for free for non-commercial purposes.
	  Also updated the architecture somewhat.

2005-05-13 03:30  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme_architecture.zargo: updated architecture drawing

2005-05-12 03:31  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme_architecture.zargo: added some detail to
	  architecture design doc.

2005-05-12 02:04  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: added a couple requirements (gettext,
	  persistent history)

2005-05-11 14:55  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: Add more detail to the overview and use
	  cases

2005-05-11 03:57  jonathon  <jonathon@quotidian.org>

	* doc/colorscheme_architecture.zargo: add initial uml architecture
	  design (created with argouml)

2005-05-11 03:57  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: minor change to wording of requirement R033

2005-05-10 02:18  jonathon  <jonathon@quotidian.org>

	* data, data/colorscheme.svg: added a svg image that I'm using for
	  the header in the trac environment. It could inspire a potential
	  logo, or it might be discarded completely in the future.

2005-05-08 05:56  jonathon  <jonathon@quotidian.org>

	* COPYING, doc/requirements.html: more requirements
	  mods, added license file

2005-05-08 04:45  jonathon  <jonathon@quotidian.org>

	* AUTHORS: Add authors file

2005-05-06 18:46  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: more re-organization and
	  addition of requirements

2005-05-06 14:31  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: more requirements re-org,
	  added colorschemer and gimp palette compatibility

2005-05-05 04:19  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: reorganized requirements,
	  added assumption about C++

2005-05-05 03:51  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: updated styling of requirments
	  document

2005-05-04 22:29  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: added a bunch of requirements
	  -- many derived from colorschemer features

2005-05-04 18:25  jonathon  <jonathon@quotidian.org>

	* doc/requirements.html: modified css styles of
	  requirements doc

2005-05-04 18:12  jonathon  <jonathon@quotidian.org>

	* colorscheme, ., doc, doc/requirements.html, src, src/lib,
	  src/lib/color.cc, src/lib/color.h, src/lib/colorscheme.h,
	  src/lib/types.h: imported colorscheme

